# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Fast.pm) perl(Class/Data/ConfigHash.pm) perl(Class/Inspector.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Message.pm) perl(HTTP/Response.pm) perl(Hash/MultiValue.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(UNIVERSAL/require.pm) perl(URI.pm) perl(URI/Escape.pm) perl(URI/QueryParam.pm) perl(XML/Feed.pm) perl(XML/LibXML.pm) perl(XML/Parser/Lite/Tree.pm) perl(XML/Parser/Lite/Tree/XPath.pm) perl(XML/Simple.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.25
%define module_name WebService-Simple
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: Simple Interface To Web Services APIs
Group: Development/Perl
License: perl
URL: https://github.com/yusukebe/WebService-Simple

Source0: http://cpan.org.ua/authors/id/Y/YU/YUSUKEBE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
WebService::Simple is a simple class to interact with web services.

It's basically an LWP::UserAgent that remembers recurring API URLs and
parameters, plus sugar to parse the results.


%prep
%setup -n %{module_name}-%{module_version}
#request to http://search.cpan.org/uploads.rdf failed at t/02_parser_xml_feed.t line 24.
rm -f t/02_parser_xml_feed.t

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/a.pl

%files
%doc Changes LICENSE README.md example
%perl_vendor_privlib/W*

%changelog
* Wed Oct 28 2015 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- regenerated from template by package builder

* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- initial import by package builder

